std::__detail::_Compiler< _InIter, _TraitsT > Class Template Reference
Base and Implementation Classes

## Public Types

typedef std::iterator_traits < _InIter >::value_type | _CharT
typedef regex_constants::syntax_option_type | _FlagT
typedef _InIter | _IterT
typedef std::basic_string< _CharT > | _StringT

## Public Member Functions

| _Compiler (const _InIter &__b, const _InIter &__e, _TraitsT &__traits, _FlagT __flags)
const _Nfa & | _M_nfa () const

## Detailed Description

### template<typename _InIter, typename _TraitsT>
class std::__detail::_Compiler< _InIter, _TraitsT >

Builds an NFA from an input iterator interval.

Definition at line 634 of file regex_compiler.h.

The documentation for this class was generated from the following file:

- regex_compiler.h